Send a quote via email
curl --request POST \
--url https://thirdparty.qonto.com/v2/quotes/{id}/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"send_to": [
"jsmith@example.com"
],
"email_title": "Invoice for inventory stock",
"copy_to_self": true,
"email_body": "Here's the invoice for the inventory stock"
}
EOFimport requests
url = "https://thirdparty.qonto.com/v2/quotes/{id}/send"
payload = {
"send_to": ["jsmith@example.com"],
"email_title": "Invoice for inventory stock",
"copy_to_self": True,
"email_body": "Here's the invoice for the inventory stock"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
send_to: ['jsmith@example.com'],
email_title: 'Invoice for inventory stock',
copy_to_self: true,
email_body: 'Here\'s the invoice for the inventory stock'
})
};
fetch('https://thirdparty.qonto.com/v2/quotes/{id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Quotes
Send a quote via email
OAuth scope: client_invoice.write
Sends the quote identified by the id path parameter via email to the specified recipients.
POST
/
v2
/
quotes
/
{id}
/
send
Send a quote via email
Authorizations
OAuthSecretKey
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
The ID of the quote to send
Body
application/json
Response
Email was sent successfully
Was this page helpful?
⌘I